# List of abbreviations

| Abbreviation | Long form | Definition 
| ------ | ------ | ------ |
| (Helmholtz) AAI | (Helmholtz) **A**uthentication and **A**uthorization **I**nfrastructure | "Refers to a service and a procedure that enables members of different institutions to access protected information that is distributed on different web servers" <br/>(Source: [Wikipedia](https://en.wikipedia.org/wiki/Authentication_and_authorization_infrastructure)), for HIFIS context see [Helmholtz AAI](https://hifis.net/doc/helmholtz-aai/concepts/) |
| HIFIS | **H**elmholtz **I**nfrastructure for **F**ederated **I**CT **S**ervices | see [2.1 What is HIFIS](../2_Introduction/2.1_What-is-HIFIS.md) |
| ITIL | **IT** **I**nfrastructure **L**ibrary | Best Practise Framework for IT Service Management, <br/>  definition see e.g. [ITIL Process Maps Website](https://en.it-processmaps.com/itil/about-itil.html) |
| KPI | **K**ey **P**erformance **I**ndicator | Used for measuring the performance of e.g. a service |
| RUA | **R**esource **U**sage **A**greement | Agreement between service provider and using centre on individual service conditions |
| VO | **V**irtual **O**rganization | see [Chapter 1.1 of Top Level Infrastructure Policy](https://hifis.net/doc/helmholtz-aai/policies/helmholtz-aai/00_HIFIS-Top-Level-Policy.pdf) |

## Helmholtz Centre abbreviations

| Abbreviation | Long form |
| ------ | ------ |
| AWI | Alfred Wegener Institute, Helmholtz Centre for Polar and Marine Research |
| CISPA | Helmholtz Center for Information Security |
| DESY | Deutsches Elektronen-Synchrotron |
| DKFZ | German Cancer Research Center |
| DLR | German Aerospace Center |
| DZNE | German Center for Neurodegenerative Diseases |
| GEOMAR | Helmholtz Centre for Ocean Research Kiel |
| GFZ | Helmholtz Centre Potsdam – German Research Centre for Geosciences |
| GSI | Helmholtz Centre for Heavy Ion Research |
| Head Office | Helmholtz Head Office |
| Hereon | Helmholtz-Zentrum Hereon |
| HMGU | Helmholtz Zentrum München – German Research Center for Environmental Health |
| HZB | Helmholtz-Zentrum Berlin für Materialien und Energie |
| HZDR | Helmholtz-Zentrum Dresden-Rossendorf |
| HZI | Helmholtz Centre for Infection Research |
| Jülich | Forschungszentrum Jülich |
| KIT | Karlsruhe Institute of Technology |
| MDC | Max Delbrück Center for Molecular Medicine in the Helmholtz Association |
| UFZ | Helmholtz Centre for Environmental Research |
