# Validity of this document

The processes, criteria and definitions described in this Process Framework are valid and binding for all Helmholtz Cloud Services. They apply to all parts of the Service Portfolio.

Service providers and users are not allowed to circumvent, breach or otherwise violate this Process Framework (with their services). In case they do so, the HIFIS coordinators can decide to disrupt or terminate the usage of Helmholtz Cloud. This decision has to be confirmed by the HIFIS Steering Committee within 10 days.

The [latest version](../1_General-points/1.0_Document-History.md) of this Process Framework is valid until it is adapted as part of a [Service Portfolio Review](../3_Service-Portfolio-Management/3.4_Processes-regarding-the-Service-Portfolio/3.4.6_Review-Process-for-the-Service-Portfolio.md). The HIFIS coordinators and HIFIS Federation Board are informed about any changes to this Process Framework as part of the Review process and have a VETO regarding all changes.

If any part of this Process Framework becomes invalid or a process gap is detected, this does not touch the validity of the other parts of the Process Framework. Detected process gaps or other content gaps should be filled as part of a Service Portfolio Review.
