# Service Portfolio Management in terms of ITIL
## The components of Service Portfolio Management

Service Portfolio Management in terms of ITIL consists of three main components: the **Service Pipeline**, the **Service Catalogue** and the **Retired services**:

![Alt-Text](../0_Corresponding-files/HIFIS-Cloud-SP_Service-Portfolio-Components.jpg)

- the **Service Pipeline** includes all services that are not yet provided but might be provided in future. The services in the pipeline may reach from a first idea up to quite clearly defined services. In HIFIS context, the Service Pipeline includes all services which passed the exclusion criteria in the Application Form and therefore have the status "Service planned" in Plony - but which are not yet online in Helmholtz Cloud (up to status "Service integration completed" in Plony).
- the **Service Catalogue** includes all services that are currently provided/ in operation. In HIFIS context, the Service Catalogue is represented by the services offered in Helmholtz Cloud Portal.
- the **Retired services** are the services which were once operated but aren't anymore. In HIFIS context, the Retired services are not visible in Helmholtz Cloud Portal anymore, but still exist as part of Plony with the status "Retired".
